Get a list of incident types

Note: This endpoint is in public beta. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/incidents/config/typeshttps://api.ap2.datadoghq.com/api/v2/incidents/config/typeshttps://api.datadoghq.eu/api/v2/incidents/config/typeshttps://api.ddog-gov.com/api/v2/incidents/config/typeshttps://api.us2.ddog-gov.com/api/v2/incidents/config/typeshttps://api.uk1.datadoghq.com/api/v2/incidents/config/typeshttps://api.datadoghq.com/api/v2/incidents/config/typeshttps://api.us3.datadoghq.com/api/v2/incidents/config/typeshttps://api.us5.datadoghq.com/api/v2/incidents/config/types

Información general

Obtén todos los tipos de incidencias. This endpoint requires any of the following permissions:

  • incident_settings_read
  • incident_read

  • OAuth apps require the incident_read authorization scope to access this endpoint.

    Argumentos

    Cadenas de consulta

    Nombre

    Tipo

    Descripción

    include_deleted

    boolean

    Include deleted incident types in the response.

    Respuesta

    OK

    Response with a list of incident types.

    Expand All

    Campo

    Tipo

    Descripción

    data [required]

    [object]

    An array of incident type objects.

    attributes

    object

    Incident type's attributes.

    configuration

    object

    The incident-type-scoped behavior settings. All fields are optional on update. Any field omitted from a PATCH request keeps its current value. This object is read-only on the incident type resource itself and is only mutated through the update (PATCH) endpoint.

    allow_incident_deletion

    boolean

    Whether incidents of this type can be deleted.

    allow_workflows

    boolean

    Whether automation workflows can be triggered for incidents of this type.

    default: true

    create_message

    string

    An optional message shown to users when they declare an incident of this type.

    editable_timestamps

    boolean

    Whether responders can edit incident timestamps for incidents of this type.

    private_incidents

    boolean

    Whether responders can create private incidents of this type. This is an opt-in setting, distinct from private_incidents_by_default, which controls whether incidents are created private automatically.

    private_incidents_by_default

    boolean

    Whether incidents of this type are created as private by default.

    slug_source

    enum

    When set to servicenow, incidents will display the ServiceNow record ID instead of the public ID. If no ServiceNow integration exists, the public ID will be displayed. Allowed enum values: default,servicenow

    default: default

    test_incidents

    boolean

    Whether incidents of this type are treated as test incidents.

    default: true

    createdAt

    date-time

    Timestamp when the incident type was created.

    createdBy

    string

    A unique identifier that represents the user that created the incident type.

    description

    string

    Text that describes the incident type.

    is_default

    boolean

    If true, this incident type will be used as the default incident type if a type is not specified during the creation of incident resources.

    lastModifiedBy

    string

    A unique identifier that represents the user that last modified the incident type.

    modifiedAt

    date-time

    Timestamp when the incident type was last modified.

    name [required]

    string

    The name of the incident type.

    prefix

    string

    The string that will be prepended to the incident title across the Datadog app.

    id [required]

    string

    The incident type's ID.

    relationships

    object

    The incident type's resource relationships.

    created_by_user

    object

    Relationship to user.

    data [required]

    object

    Relationship to user object.

    id [required]

    string

    A unique identifier that represents the user.

    type [required]

    enum

    Users resource type. Allowed enum values: users

    default: users

    google_meet_configuration

    object

    A reference to a Google Meet Configuration resource.

    data [required]

    object

    The Google Meet configuration relationship data object.

    id [required]

    string

    The unique identifier of the Google Meet configuration.

    type [required]

    string

    The type of the Google Meet configuration.

    last_modified_by_user

    object

    Relationship to user.

    data [required]

    object

    Relationship to user object.

    id [required]

    string

    A unique identifier that represents the user.

    type [required]

    enum

    Users resource type. Allowed enum values: users

    default: users

    microsoft_teams_configuration

    object

    A reference to a Microsoft Teams Configuration resource.

    data [required]

    object

    The Microsoft Teams configuration relationship data object.

    id [required]

    string

    The unique identifier of the Microsoft Teams configuration.

    type [required]

    string

    The type of the Microsoft Teams configuration.

    zoom_configuration

    object

    A reference to a Zoom configuration resource.

    data [required]

    object

    The Zoom configuration relationship data object.

    id [required]

    string

    The unique identifier of the Zoom configuration.

    type [required]

    string

    The type of the Zoom configuration.

    type [required]

    enum

    Incident type resource type. Allowed enum values: incident_types

    default: incident_types

    {
      "data": [
        {
          "attributes": {
            "configuration": {
              "allow_incident_deletion": false,
              "allow_workflows": true,
              "create_message": "Create an incident here",
              "editable_timestamps": false,
              "private_incidents": false,
              "private_incidents_by_default": false,
              "slug_source": "default",
              "test_incidents": true
            },
            "createdAt": "2019-09-19T10:00:00.000Z",
            "createdBy": "00000000-0000-0000-0000-000000000000",
            "description": "Any incidents that harm (or have the potential to) the confidentiality, integrity, or availability of our data.",
            "is_default": false,
            "lastModifiedBy": "00000000-0000-0000-0000-000000000000",
            "modifiedAt": "2019-09-19T10:00:00.000Z",
            "name": "Security Incident",
            "prefix": "IR"
          },
          "id": "00000000-0000-0000-0000-000000000000",
          "relationships": {
            "created_by_user": {
              "data": {
                "id": "00000000-0000-0000-2345-000000000000",
                "type": "users"
              }
            },
            "google_meet_configuration": {
              "data": {
                "id": "00000000-0000-0000-0000-000000000000",
                "type": "google_meet_configurations"
              }
            },
            "last_modified_by_user": {
              "data": {
                "id": "00000000-0000-0000-2345-000000000000",
                "type": "users"
              }
            },
            "microsoft_teams_configuration": {
              "data": {
                "id": "00000000-0000-0000-0000-000000000000",
                "type": "microsoft_teams_configurations"
              }
            },
            "zoom_configuration": {
              "data": {
                "id": "00000000-0000-0000-0000-000000000000",
                "type": "zoom_configurations"
              }
            }
          },
          "type": "incident_types"
        }
      ]
    }

    Bad Request

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Unauthorized

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Forbidden

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Ejemplo de código

                      # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/config/types" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
    """
    Get a list of incident types returns "OK" response
    """
    
    from datadog_api_client import ApiClient, Configuration
    from datadog_api_client.v2.api.incidents_api import IncidentsApi
    
    configuration = Configuration()
    configuration.unstable_operations["list_incident_types"] = True
    with ApiClient(configuration) as api_client:
        api_instance = IncidentsApi(api_client)
        response = api_instance.list_incident_types()
    
        print(response)
    

    Instructions

    First install the library and its dependencies and then save the example to example.py and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
    # Get a list of incident types returns "OK" response
    
    require "datadog_api_client"
    DatadogAPIClient.configure do |config|
      config.unstable_operations["v2.list_incident_types".to_sym] = true
    end
    api_instance = DatadogAPIClient::V2::IncidentsAPI.new
    p api_instance.list_incident_types()
    

    Instructions

    First install the library and its dependencies and then save the example to example.rb and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
    // Get a list of incident types returns "OK" response
    
    package main
    
    import (
    	"context"
    	"encoding/json"
    	"fmt"
    	"os"
    
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
    )
    
    func main() {
    	ctx := datadog.NewDefaultContext(context.Background())
    	configuration := datadog.NewConfiguration()
    	configuration.SetUnstableOperationEnabled("v2.ListIncidentTypes", true)
    	apiClient := datadog.NewAPIClient(configuration)
    	api := datadogV2.NewIncidentsApi(apiClient)
    	resp, r, err := api.ListIncidentTypes(ctx, *datadogV2.NewListIncidentTypesOptionalParameters())
    
    	if err != nil {
    		fmt.Fprintf(os.Stderr, "Error when calling `IncidentsApi.ListIncidentTypes`: %v\n", err)
    		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    	}
    
    	responseContent, _ := json.MarshalIndent(resp, "", "  ")
    	fmt.Fprintf(os.Stdout, "Response from `IncidentsApi.ListIncidentTypes`:\n%s\n", responseContent)
    }
    

    Instructions

    First install the library and its dependencies and then save the example to main.go and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
    // Get a list of incident types returns "OK" response
    
    import com.datadog.api.client.ApiClient;
    import com.datadog.api.client.ApiException;
    import com.datadog.api.client.v2.api.IncidentsApi;
    import com.datadog.api.client.v2.model.IncidentTypeListResponse;
    
    public class Example {
      public static void main(String[] args) {
        ApiClient defaultClient = ApiClient.getDefaultApiClient();
        defaultClient.setUnstableOperationEnabled("v2.listIncidentTypes", true);
        IncidentsApi apiInstance = new IncidentsApi(defaultClient);
    
        try {
          IncidentTypeListResponse result = apiInstance.listIncidentTypes();
          System.out.println(result);
        } catch (ApiException e) {
          System.err.println("Exception when calling IncidentsApi#listIncidentTypes");
          System.err.println("Status code: " + e.getCode());
          System.err.println("Reason: " + e.getResponseBody());
          System.err.println("Response headers: " + e.getResponseHeaders());
          e.printStackTrace();
        }
      }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to Example.java and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
    // Get a list of incident types returns "OK" response
    use datadog_api_client::datadog;
    use datadog_api_client::datadogV2::api_incidents::IncidentsAPI;
    use datadog_api_client::datadogV2::api_incidents::ListIncidentTypesOptionalParams;
    
    #[tokio::main]
    async fn main() {
        let mut configuration = datadog::Configuration::new();
        configuration.set_unstable_operation_enabled("v2.ListIncidentTypes", true);
        let api = IncidentsAPI::with_config(configuration);
        let resp = api
            .list_incident_types(ListIncidentTypesOptionalParams::default())
            .await;
        if let Ok(value) = resp {
            println!("{:#?}", value);
        } else {
            println!("{:#?}", resp.unwrap_err());
        }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to src/main.rs and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
    /**
     * Get a list of incident types returns "OK" response
     */
    
    import { client, v2 } from "@datadog/datadog-api-client";
    
    const configuration = client.createConfiguration();
    configuration.unstableOperations["v2.listIncidentTypes"] = true;
    const apiInstance = new v2.IncidentsApi(configuration);
    
    apiInstance
      .listIncidentTypes()
      .then((data: v2.IncidentTypeListResponse) => {
        console.log(
          "API called successfully. Returned data: " + JSON.stringify(data)
        );
      })
      .catch((error: any) => console.error(error));
    

    Instructions

    First install the library and its dependencies and then save the example to example.ts and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"